@charset "utf-8";

*:not(svg):not(canvas) {
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box
}


table.text {
	border-spacing: 0;
	border: 0;
	padding: 0;
	margin: 0;
	width: 100%;
	table-layout: fixed
}

table.text td {
	padding: 0;
	margin: 0;
	overflow: hidden;
	width: 100%;
	background-color: transparent;
	color: #000;
	border: 0;
	outline: none;
	white-space: pre-wrap;
	word-wrap: break-word;
	word-break: break-word
}





table.text tr td:first-child {
	min-width: 30px;
	width: 30px;
	text-align: center;
	vertical-align: top
}

table.text tr td:nth-child(2) {
	padding-left: 4px;
	color: transparent
}



span.c3,
table.text td:nth-child(2).c3 {
	color: royalblue
}

span.c4,
table.text td:nth-child(2).c4,
div.single.c4 {
	color: green
}

span.c5,
table.text td:nth-child(2).c5 {
	color: deeppink
}

span.c6 {
	color: gray
}

span.ch {
	background-color: rgba(255, 255, 0, .5)
}

table.text td:nth-child(2).error {
	background-color: rgba(255, 0, 0, .25)
}




div.trace {
	font-size: 15px;
	background-color: #eee;
	border: 2px solid #555;
	border-radius: 6px;
	margin-top: .3em
}

div.trace th {
	text-align: left
}

div.trace td {
	padding: 3px
}

div.object {
	display: inline-block;
	vertical-align: top
}

ul.object {
	margin: 4px 4px 20px;
	font-size: 13px;
	font-weight: 400
}

ul.object li {
	font-weight: 400
}




div.map {
	width: 100%;
	height: 200px;
	margin-top: .3em;
	border: #555 2px solid;
	border-radius: 6px;
	overflow: hidden
}

div.layout {
	line-height: normal
}

svg:not(:root) {
	overflow: hidden
}



svg.parenthesis ellipse {
	stroke: #000;
	stroke-width: 2;
	fill: none
}

g.trace-text>g>text {
	font-size: 14px
}

g.trace-text>g>text>tspan:first-child {
	font-style: italic
}

g.trace-text>g>text>tspan:nth-child(2) {
	font-weight: 700
}

g.trace-text>g>text.outline {
	stroke: #fff;
	stroke-width: 4px;
	stroke-opacity: .9
}

g.trace-line line {
	stroke: rgba(0, 0, 0, .3);
	stroke-width: 1px;
	stroke-dasharray: 1, 1
}



div.dec {
    font-style: italic;
    font-size: 18px;
    color: #18248e;
    margin-top: 14px;
}


.im01 {
	vertical-align: top;
	display: inline-block;
	margin: 0;
	padding: 0 1px;
	border: 0;
	line-height: 1em
}

.im02,
.im03 {
	text-align: center;
	display: block;
	margin: 0;
	padding: 0;
	border: 0;
	   
}

.im02 {
	padding-bottom: .25em
}

.im03 {
	
	padding-top: .25em;
    border-top: 1px solid black;
}

.im04 {
	vertical-align: top;
	display: inline-block;
	margin: 0;
	padding: 0 1px;
	border: 0;
	line-height: .5em
}

.im05 {
	vertical-align: top;
	display: inline-block;
	margin: 0;
	padding: 0;
	border: 0;
	line-height: 1em;
	white-space: nowrap
}

.im06 {
	display: inline-block;
	width: 4px;
	border-left: #000 solid 2px;
	border-top: #000 solid 2px;
	border-bottom: #000 solid 2px
}

.im07 {
	display: inline-block;
	width: 4px;
	border-right: #000 solid 2px;
	border-top: #000 solid 2px;
	border-bottom: #000 solid 2px
}

.im08,
.im09 {
	vertical-align: top;
	display: inline-block;
	margin: 0;
	padding: 0
}

.im10 {
	display: block;
	line-height: 1em
}

.im11 {
	stroke-width: 2;
	fill: none;
	stroke: #000
}

.im12 {
	stroke: #fff;
	stroke-width: 2;
	fill: none
}

.im13 {
	vertical-align: top;
	display: inline-block;
	margin: 0;
	padding: 0;
	border: 0
}

.im14 {
	width: 16px;
	display: block;
	line-height: 1em
}

.im15 {
	stroke: #000;
	stroke-width: 1px;
	fill: none
}

.im16 {
	stroke: #000;
	stroke-width: 2px;
	fill: none
}

.im17 {
	font-family: times;
	padding-right: 1.5px
}

.im18 {
display: inline-block;
    margin-top: -1px;
    border-top: 0.5px solid black;
}

.im19 {
	vertical-align: top;
	display: inline-block;
	margin: 0;
	padding: .2em 0 0;
	border: 0;
	box-shadow: inset 0 1px 0 rgba(0, 0, 0, 1)
}

.im20 {
	vertical-align: top;
	display: inline-block;
	margin: 0;
	padding: 0;
	border: 0;
	line-height: 1em
}

.im21 {
	vertical-align: top;
	display: inline-block;
	margin: 0;
	padding: 0;
	border: 0;
	height: 1em;
	line-height: 1em
}

.im22 {
	font-style: italic;
	font-family: times
}

.im23 {
	font-family: times
}

.im24 {
	font-family: times;
	font-weight: 700
}

.im25,
.im26 {
	font-weight: 700
}

.im28 {
	font-style: italic
}

div.layout .im28 {
	color: inherit
}

.im29 {
	border-spacing: 0;
	box-shadow: inset -1px -1px 0 rgba(0, 0, 0, 1)
}

.im30 {
	box-shadow: inset 1px 1px 0 rgba(0, 0, 0, 1);
	padding: .4em;
	margin: 0;
	text-align: center
}

.im31 {
	vertical-align: top;
	display: inline-block;
	margin: 0;
	padding: 0 4px 0 0;
	border: 0
}

.im33 {
	font-size: 13px;
	font-weight: 700
}

.im34 {
	line-height: 1.2em
}

.im35 {
	padding-top: .1em;
	line-height: 1em
}

div.out_e div.equals {
	display: none
}
.error1{    color: red;
    font-size: 18px;}

.red {
	color: #d9534f
}

.green {
	color: #5cb85c
}



.color5 {
	color: #555
}

.brown {
	color: brown
}

.black {
	color: #000
}


.blue {
	color: #301893
}
.purple {
	color: #6a0045
}

.smallpurple {
	font-family: Avenir, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, "Fira Sans", "Droid Sans", Nunito, Helvetica, "Helvetica Neue", sans-serif;
	font-size: 15px;
	color: #6a0045
}

.btn-ghost,
.fa-stack,
.m_vert,
a.btn-ghost {
	vertical-align: middle
}



.m_math,
fmath {
	font-family: STIXGeneral, "DejaVu Serif", "DejaVu Sans", Times, "Lucida Sans Unicode", OpenSymbol, "Standard Symbols L", serif;
	line-height: 1.2
}

.m_mo,
.ma-sans-serif,
fmath mo {
	font-family: STIXGeneral, "DejaVu Sans", "DejaVu Serif", "Lucida Sans Unicode", "Arial Unicode MS", "Lucida Grande", Times, OpenSymbol, "Standard Symbols L", sans-serif
}

.m_mo-Luc {
	font-family: STIXGeneral, "DejaVu Sans", "DejaVu Serif", "Lucida Sans Unicode", "Lucida Grande", "Arial Unicode MS", Times, OpenSymbol, "Standard Symbols L", sans-serif
}

* html .IE6-LSU,
* html .m_math,
* html .m_mo,
* html fmath,
* html fmath mo {
	font-family: 'Lucida Sans Unicode' !important
}

mo.m_radic {
	font-family: 'Lucida Sans Unicode', 'Lucida Grande', Verdana, sans-serif !important
}

.ma-script {
	font-family: 'England Hand DB', 'Embassy BT', 'Amazone BT', 'Bank Script D', 'URW Chancery L', 'Lucida Calligraphy', 'Apple Chancery', 'Monotype Corsiva', Corsiva, 'Vivaldi D', Gabriola, 'Segoe Script', cursive
}

.ma-fraktur {
	font-family: UnifrakturMaguntia, Impact, fantasy
}

.m_mi-length-1 {
	font-style: italic
}

.ma-bold {
	font-weight: 700
}

.ma-nonbold {
	font-weight: 400
}

.ma-upright {
	font-style: normal !important
}

.ma-italic {
	font-style: italic
}

fmath.ma-block {
	display: block;
	text-align: center;
	text-indent: 0;
	page-break-inside: avoid
}

.m_separator {
	padding: 0 .56ex 0 0
}

.m_infix-loose {
	padding: 0 .56ex
}

.m_infix {
	padding: 0 .44ex
}

.m_prefix {
	padding: 0 .33ex 0 0
}

.m_postfix {
	padding: 0 0 0 .33ex
}

.m_prefix-tight {
	padding: 0 .11ex 0 0
}

.m_postfix-tight {
	padding: 0 0 0 .11ex
}

.m_quantifier {
	padding: 0 .11ex 0 .22ex
}

.m_large-op {
	font-size: 1.3em
}

.m_inline .m_large-op {
	font-size: 1em
}

.m_vert {
	display: inline-block
}

fmath table,
fmath tbody,
fmath td,
fmath tr {
	border: 0 !important;
	padding: 0 !important;
	margin: 0 !important;
	outline: 0 !important
}

fmath table {
	border-collapse: collapse !important;
	text-align: center !important;
	table-layout: auto !important;
	float: none !important
}

.m_frac {
	padding: 0 1px !important
}

td.m_den-frac {
	border-top: solid thin !important
}

.m_root {
	font-size: .6em
}

.m_radicand {
	padding: 0 1px 0 0;
	border-top: solid;
	margin-top: .1em
}

.m_script {
	font-size: .71em
}

.m_script .m_script .m_script {
	font-size: 1em
}

td.m_underover-base {
	line-height: 1 !important
}

td.m_mtd {
	padding: .5ex .4em !important;
	vertical-align: baseline !important
}

fmath none {
	display: none
}

fmath td.middle,
mtd.middle {
	vertical-align: middle !important
}

fmath span.ma-join-align>table>tbody>tr>td:first-child,
mtable.ma-join-align>mtr>mtd:first-child {
	text-align: right;
	padding-right: 0 !important
}

fmath span.ma-join-align>table>tbody>tr>td:first-child+td,
fmath span.ma-join1-align>table>tbody>tr>td:first-child,
mtable.ma-join-align>mtr>mtd:first-child+mtd,
mtable.ma-join1-align>mtr>mtd:first-child {
	text-align: left;
	padding-left: 0 !important
}

fmath span.ma-binom>table>tbody>tr>td,
mtable.ma-binom>mtr>mtd {
	padding: 0 !important
}

fmath span.ma-binom>table>tbody>tr:first-child>td,
mtable.ma-binom>mtr:first-child>mtd {
	padding: 0 0 .18em !important
}

.ma-slider-param .ui-slider {
	margin: .33em 1em
}

.ma-slider-param .ma-param-eq {
	text-align: center;
	font-size: 1.1em
}

.ma-grid-label {
	font: 80% serif
}

.ma-graph-handle {
	position: absolute;
	width: 1px;
	height: 100%;
	top: 0;
	background-color: #BBB;
	cursor: crosshair
}

.ma-graph-handle:focus {
	background-color: #999
}

.ma-trace {
	font-size: .9em;
	margin-top: 1em;
	text-align: left
}



.mq-editable-field {
	display: -moz-inline-box;
	display: inline-block
}

.mq-editable-field .mq-cursor {
	border-left: 2px solid #fff;
	margin-left: 0px;
	position: relative;
	z-index: 1;
	padding: 0;
	display: -moz-inline-box;
	display: inline-block
}




.mq-math-mode .mq-editable-field {
	margin: 1px
}

.mq-editable-field .mq-latex-command-input {
	color: inherit;
	font-family: "Courier New", monospace;
	border: 1px solid gray;
	padding-right: 1px;
	margin-right: 1px;
	margin-left: 2px
}

.mq-editable-field .mq-latex-command-input.mq-empty {
	background: 0 0
}

.mq-editable-field .mq-latex-command-input.mq-hasCursor {
	border-color: ActiveBorder
}

.mq-editable-field .mq-cursor:only-child:after,
.mq-editable-field .mq-textarea+.mq-cursor:last-child:after,
.mq-editable-field.mq-empty:after,
.mq-editable-field.mq-text-mode:after,
.mq-math-mode .mq-empty:after {
	visibility: hidden;
	content: 'c'
}

.mq-editable-field .mq-text-mode .mq-cursor:only-child:after {
	content: ''
}

.mq-editable-field.mq-text-mode {
	overflow-x: auto;
	overflow-y: hidden
}

.mq-math-mode .mq-root-block,
.mq-root-block {
	display: -moz-inline-box;
	display: inline-block;
	width: 100%;
	padding: 2px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	white-space: nowrap;
	overflow: hidden;
	vertical-align: middle
}

.mq-math-mode {
	font-variant: normal;
	font-weight: 400;
	font-style: normal;
	font-size: 115%;
	line-height: 1;
	display: -moz-inline-box;
	display: inline-block
}

.mq-math-mode .mq-non-leaf,
.mq-math-mode .mq-scaled {
	display: -moz-inline-box;
	display: inline-block
}

.mq-math-mode .mq-nonSymbola,
.mq-math-mode .mq-text-mode,
.mq-math-mode var {
	font-family: "Times New Roman", Symbola, serif;
	line-height: .9
}

.mq-math-mode * {
	font-size: inherit;
	line-height: inherit;
	margin: 0;
	padding: 0;
	border-color: #000;
	-moz-user-select: none;
	user-select: none;
	box-sizing: border-box
}

.mq-math-mode .mq-empty {
	background: #ccc
}

.mq-math-mode .mq-empty.mq-root-block,
.mq-math-mode.mq-empty {
	background: 0 0
}

.mq-math-mode .mq-text-mode {
	display: inline-block
}

.mq-math-mode .mq-text-mode.mq-hasCursor {
	box-shadow: inset #a9a9a9 0 .1em .2em;
	padding: 0 .1em;
	margin: 0 -.1em;
	min-width: 1ex
}

.mq-math-mode .mq-font {
	font: 1em "Times New Roman", Symbola, serif
}

.mq-math-mode .mq-font * {
	font-family: inherit;
	font-style: inherit
}

.mq-math-mode b,
.mq-math-mode b.mq-font {
	font-weight: bolder
}

.mq-math-mode i,
.mq-math-mode i.mq-font,
.mq-math-mode var {
	font-style: italic
}

.mq-math-mode var.mq-f {
	margin-right: .2em;
	margin-left: .1em
}

.mq-math-mode .mq-roman var.mq-f {
	margin: 0
}

.mq-math-mode big {
	font-size: 200%
}

.mq-math-mode .mq-int>big {
	display: inline-block;
	-webkit-transform: scaleX(.7);
	-moz-transform: scaleX(.7);
	-ms-transform: scaleX(.7);
	-o-transform: scaleX(.7);
	transform: scaleX(.7);
	vertical-align: -.16em
}

.mq-math-mode .mq-int>.mq-supsub {
	font-size: 70%;
	vertical-align: -1.1em;
	padding-right: .2em
}

.mq-math-mode .mq-int>.mq-supsub>.mq-sup>.mq-sup-inner {
	vertical-align: 1.3em
}

.mq-math-mode .mq-int>.mq-supsub>.mq-sub {
	margin-left: -.35em
}

.mq-math-mode .mq-roman {
	font-style: normal
}

.mq-math-mode .mq-sans-serif {
	font-family: sans-serif, Symbola, serif
}

.mq-math-mode .mq-monospace {
	font-family: monospace, Symbola, serif
}

.mq-math-mode .mq-overline {
	border-top: 1px solid #000;
	margin-top: 1px
}

.mq-math-mode .mq-underline {
	border-bottom: 1px solid #000;
	margin-bottom: 1px
}

.mq-math-mode .mq-binary-operator {
	padding: 0 .2em;
	display: -moz-inline-box;
	display: inline-block
}

.mq-math-mode .mq-supsub {
	text-align: left;
	font-size: 74%;
	vertical-align: -.5em
}

.mq-math-mode .mq-supsub.mq-sup-only {
	vertical-align: .5em
}

.mq-math-mode .mq-supsub.mq-sup-only .mq-sup {
	display: inline-block;
	vertical-align: text-bottom
}

.mq-math-mode .mq-array>span,
.mq-math-mode .mq-supsub .mq-sup {
	display: block
}

.mq-math-mode .mq-supsub .mq-sub {
	display: block;
	float: left
}

.mq-math-mode .mq-supsub .mq-binary-operator {
	padding: 0 .1em
}

.mq-math-mode .mq-supsub .mq-fraction {
	font-size: 70%
}

.mq-math-mode sup.mq-nthroot {
	font-size: 80%;
	vertical-align: .8em;
	margin-right: -.6em;
	margin-left: .2em;
	min-width: .5em
}

.mq-math-mode .mq-paren {
	padding: 0 .1em;
	vertical-align: top;
	-webkit-transform-origin: center .06em;
	-moz-transform-origin: center .06em;
	-ms-transform-origin: center .06em;
	-o-transform-origin: center .06em;
	transform-origin: center .06em
}

.mq-math-mode .mq-paren.mq-ghost {
	color: silver
}

.mq-math-mode .mq-paren+span {
	margin-top: .1em;
	margin-bottom: .1em
}

.mq-math-mode .mq-array {
	vertical-align: middle;
	text-align: center
}

.mq-math-mode .mq-operator-name {
	font-family: Symbola, "Times New Roman", serif;
	line-height: .9;
	font-style: normal
}

.mq-math-mode var.mq-operator-name.mq-first {
	padding-left: .2em
}

.mq-math-mode .mq-supsub.mq-after-operator-name,
.mq-math-mode var.mq-operator-name.mq-last {
	padding-right: .2em
}

.mq-math-mode .mq-fraction {
	font-size: 90%;
	text-align: center;
	vertical-align: -.4em;
	padding: 0 .2em
}

.mq-math-mode .mq-fraction,
.mq-math-mode .mq-large-operator,
.mq-math-mode x:-moz-any-link {
	display: -moz-groupbox
}

.mq-math-mode .mq-fraction,
.mq-math-mode .mq-large-operator,
.mq-math-mode x:-moz-any-link,
.mq-math-mode x:default {
	display: inline-block
}

.mq-math-mode .mq-denominator,
.mq-math-mode .mq-numerator {
	display: block
}

.mq-math-mode .mq-numerator {
	padding: 0 .1em
}

.mq-math-mode .mq-denominator {
	border-top: 1px solid;
	float: right;
	width: 100%;
	padding: .1em
}

.mq-math-mode .mq-sqrt-prefix {
	padding-top: 0;
	position: relative;
	top: .1em;
	vertical-align: top;
	-webkit-transform-origin: top;
	-moz-transform-origin: top;
	-ms-transform-origin: top;
	-o-transform-origin: top;
	transform-origin: top
}

.mq-math-mode .mq-sqrt-stem {
	border-top: 1px solid;
	margin-top: 1px;
	padding-left: .15em;
	padding-right: .2em;
	margin-right: .1em;
	padding-top: 1px
}

.mq-math-mode .mq-diacritic-above {
	display: block;
	text-align: center;
	line-height: .4em
}

.mq-math-mode .mq-diacritic-stem {
	display: block;
	text-align: center
}

.mq-math-mode .mq-hat-prefix {
	display: block;
	text-align: center;
	line-height: .95em;
	margin-bottom: -.7em;
	transform: scaleX(1.5);
	-moz-transform: scaleX(1.5);
	-o-transform: scaleX(1.5);
	-webkit-transform: scaleX(1.5)
}

.mq-math-mode .mq-hat-stem {
	display: block
}

.mq-math-mode .mq-large-operator {
	vertical-align: -.2em;
	padding: .2em;
	text-align: center
}

.mq-math-mode .mq-large-operator .mq-from,
.mq-math-mode .mq-large-operator .mq-to,
.mq-math-mode .mq-large-operator big {
	display: block
}

.mq-math-mode .mq-large-operator .mq-from,
.mq-math-mode .mq-large-operator .mq-to {
	font-size: 80%
}

.mq-math-mode .mq-large-operator .mq-from {
	float: right;
	width: 100%
}

.mq-math-mode,
.mq-math-mode .mq-editable-field {
	cursor: text;
	font-family: Symbola, "Times New Roman", serif
}

.mq-math-mode .mq-overarrow {
	border-top: 1px solid #000;
	margin-top: 1px;
	padding-top: .2em
}

.mq-math-mode .mq-overarrow:before {
	display: block;
	position: relative;
	top: -.34em;
	font-size: .5em;
	line-height: 0;
	content: '\27A4';
	text-align: right
}

.mq-math-mode .mq-overarrow.mq-arrow-left:before {
	-moz-transform: scaleX(-1);
	-o-transform: scaleX(-1);
	-webkit-transform: scaleX(-1);
	transform: scaleX(-1);
	filter: FlipH;
	-ms-filter: "FlipH"
}

.mq-editable-field .mq-selection,
.mq-editable-field .mq-selection .mq-non-leaf,
.mq-editable-field .mq-selection .mq-scaled,
.mq-math-mode .mq-selection,
.mq-math-mode .mq-selection .mq-non-leaf,
.mq-math-mode .mq-selection .mq-scaled {
	background: Highlight !important;
	color: HighlightText;
	border-color: HighlightText
}

.mq-editable-field .mq-selection .mq-matrixed,
.mq-math-mode .mq-selection .mq-matrixed {
	background: #39F !important
}

.mq-editable-field .mq-selection .mq-matrixed-container,
.mq-math-mode .mq-selection .mq-matrixed-container {
	filter: chroma(color='#3399FF') !important
}

.mq-editable-field .mq-selection.mq-blur,
.mq-editable-field .mq-selection.mq-blur .mq-matrixed,
.mq-editable-field .mq-selection.mq-blur .mq-non-leaf,
.mq-editable-field .mq-selection.mq-blur .mq-scaled,
.mq-math-mode .mq-selection.mq-blur,
.mq-math-mode .mq-selection.mq-blur .mq-matrixed,
.mq-math-mode .mq-selection.mq-blur .mq-non-leaf,
.mq-math-mode .mq-selection.mq-blur .mq-scaled {
	background: #D4D4D4 !important;
	color: #000;
	border-color: #000
}

.mq-editable-field .mq-selection.mq-blur .mq-matrixed-container,
.mq-math-mode .mq-selection.mq-blur .mq-matrixed-container {
	filter: chroma(color='#D4D4D4') !important
}

.mq-editable-field .mq-textarea,
.mq-math-mode .mq-textarea {
	position: relative;
	-webkit-user-select: text;
	-moz-user-select: text;
	user-select: text
}

.mq-editable-field .mq-selectable,
.mq-editable-field .mq-textarea *,
.mq-math-mode .mq-selectable,
.mq-math-mode .mq-textarea * {
	-webkit-user-select: text;
	-moz-user-select: text;
	user-select: text;
	position: absolute;
	clip: rect(1em 1em 1em 1em);
	-webkit-transform: scale(0);
	-moz-transform: scale(0);
	-ms-transform: scale(0);
	-o-transform: scale(0);
	transform: scale(0);
	resize: none
}

.mq-math-mode .mq-matrixed {
	background: #fff;
	display: -moz-inline-box;
	display: inline-block
}

.mq-math-mode .mq-matrixed-container {
	filter: chroma(color='white');
	margin-top: -.1em
}



#XCalculator
{
    font-family: Avenir, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, "Fira Sans", "Droid Sans", Nunito, Helvetica, "Helvetica Neue", sans-serif;
    color: #444;
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    min-height: 100%;
	line-height: 1.428571429;
	-webkit-tap-highlight-color: transparent;
}
button, html input[type=button], input[type=reset], input[type=submit] {
    /* -webkit-appearance: button; */
    cursor: pointer;
}
button, input, optgroup, select, textarea {
 
    font: inherit;

}
.screen {
	background-image: linear-gradient(-155deg, #44443a 0%, #656f66 100%);
	width: 100%;
	height:70px;
	display: block;
	box-sizing: border-box;
	border: 0;
	text-align: left;
	font-size: 24px;
	padding: 10px;
	padding-top:15px;
	font-family: Times New Roman; color: white !important; 
	
	font-style: normal;
	letter-spacing: -2px;
	border-radius: 5px;
	box-shadow: 0 -4px 4px -3px rgba(255, 255, 255, .3), 5px 0 3px -5px rgba(255, 255, 255, .8), 0 5px 5px -3px rgba(0, 0, 0, .5), -3px 0 3px -1px rgba(0, 0, 0, .8), inset 0 -5px 3px -4px rgba(0, 0, 0, .5), inset 5px 0 5px -2px rgba(0, 0, 0, .8);
	 caret-color: white !important;
	 margin-top:10px;
}
.screen:focus{
	outline:none !important;
}

.calculator{
	width:100%;
	max-width:650px;
	height:auto;
	margin:3% auto;
	background:#ccc;
	border-radius:8px;
	-moz-box-shadow:inset 0 0 12px #FFF,
	inset 0px 1px #E6E6E6, 0 1px 1px #323643,
	inset 0px 1px #7b839b, 0 2px 5px rgba(0,0,0,.5);
	-webkit-box-shadow:inset 0 0 12px #FFF,
	inset 0px 1px #E6E6E6, 0 1px 1px #323643,
	inset 0px 1px #7b839b, 0 2px 5px rgba(0,0,0,.5);
	box-shadow:inset 0 0 12px #FFF,
	inset 0px 1px #E6E6E6, 0 1px 1px #323643,
	inset 0px 1px #7b839b, 0 2px 5px rgba(0,0,0,.5);
}


.buttons{
	width:100%;
	
	 
    justify-content: center;
	
  
}
.buttons div{margin:0;}

#clear{
	background-color:#d02200;
	border:1px solid #d02200;
	-moz-box-shadow:inset 0 0 10px #F63,
	inset 0px 1px #BCD6FF, 0 1px 1px #323643;
	-webkit-box-shadow:inset 0 0 10px #F63,
	inset 0px 1px #BCD6FF, 0 1px 1px #323643;
	box-shadow:inset 0 0 10px #F63,
	inset 0px 1px #BCD6FF, 0 1px 1px #323643;

}
#clear:active{
	border:1px solid #d02200;
	-moz-box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	-webkit-box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
}
#equal{
	width:100px;
	background-color: #036;
	border:1px solid #036;
	-moz-box-shadow:inset 0 0 10px #069,
	inset 0px 1px #BCD6FF, 0 1px 1px #323643;
	-webkit-box-shadow:inset 0 0 10px #069,
	inset 0px 1px #BCD6FF, 0 1px 1px #323643;
	box-shadow:inset 0 0 10px #069,
	inset 0px 1px #BCD6FF, 0 1px 1px #323643;
}
#equal:active{
	border:1px solid #039;
	-moz-box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	-webkit-box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
}


#xorcalc{width:98%;padding:5px;text-align:center; max-width:650px;margin: 0 auto;}
#formu{text-align:center;max-width:630px;}
.class_in{font-family: Times New Roman; color: black;font-size: 20px; padding: 5px 40px 5px 40px; width: 100%; overflow-x:auto; height:55px;text-align:center;
  background-color: #fff !important;
  margin-bottom: 5px;
}
   .btn_steps {
        cursor: pointer;
        border: 0px solid #ffffff;
        background-color: transparent;
        color: #ffffff;
        font-size: 14px;
        
    }


.BT_01 {
	box-shadow:inset 0px 1px 0px 0px #a4e271;
	background:linear-gradient(to bottom, #89c403 5%, #77a809 100%);
	background-color:#89c403;
	border-radius:6px;
	border:1px solid #74b807;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	font-family:Arial;
	font-size:15px;
	font-weight:bold;
	padding:6px 24px;
	text-decoration:none;
	text-shadow:0px 1px 0px #528009;
	width:79%;
	margin-right:5px;
}
.BT_01:hover {
	background:linear-gradient(to bottom, #77a809 5%, #89c403 100%);
	background-color:#77a809;
}
.BT_01:active {
	position:relative;
	top:1px;
}

        
.menu_op {
  position: relative;
  float:left;
}
.menu_op .btn_op {
  display: block;
  cursor: pointer;
  padding: 10px;
}
.menu_op .btn_op .bar {
  width: 30px;
  height: 3px;
  background: #fff;
  margin-bottom: 5px;
  z-index: 998;
}
.menu_op .btn_op .bar:last-child {
  margin-bottom: 0px;
}
.menu_op nav {
  position: absolute;
  left: 10px;
  background-color: whitesmoke;
  border: 3px solid #000;
  visibility: hidden;
  opacity: 0;
  z-index: 999;
}
.menu_op nav a {
  font-family: "Open Sans";
  color: #222;
  padding: 10px 20px;
  display: block;
  border-bottom: 1px solid #ddd;
  white-space: nowrap;
}
.menu_op nav li:last-child a {
  border-bottom: 0px;
}
.menu_op nav a:hover {
  color: whitesmoke;
  background: #000;
}
.menu_op .menu_op_show {
  visibility: visible;
  opacity: 1;
}
#calc_options{
  list-style-type: none;  margin: 0;
  padding: 0;text-align:center;
}
.BT_02 {
	box-shadow:inset 0px 1px 0px 0px #f5978e;
	background:linear-gradient(to bottom, #f24537 5%, #c62d1f 100%);
	background-color:#f24537;
	border-radius:6px;
	border:1px solid #d02718;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	font-family:Arial;
	font-size:15px;
	font-weight:bold;
	padding:6px 24px;
	text-decoration:none;
	text-shadow:0px 1px 0px #810e05;
}
.BT_02:hover {
	background:linear-gradient(to bottom, #c62d1f 5%, #f24537 100%);
	background-color:#c62d1f;
}
.BT_02:active {
	position:relative;
	top:1px;
}
#b_close{border-radius:0px !important; float:right;font-size:18px;padding:4px 25px;}
.sol_header{width:100%; background-color:#30aaa5;height:36px;}
#solution_box{width:98%;text-align:center; max-width:650px;margin: 0 auto;
-webkit-box-shadow: 0px 0px 5px 0px rgba(72,102,150,1);
-moz-box-shadow: 0px 0px 5px 0px rgba(72,102,150,1);
box-shadow: 0px 0px 5px 0px rgba(72,102,150,1);display:none;}
#box_omega{width:98%;padding:15px;text-align:center;overflow-x:auto} 
.stps{width:98%;font-size:22px;overflow-x:auto}       

#alternative sup {
    vertical-align: super;
}


.openPopup-btn {
  background: #eee;
  border: none;
  color: #000;
  padding: 10px;
  outline: none;
  cursor: pointer;
  box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.4901960784);
}
.openPopup-btn:active {
  box-shadow: 1px 1px 1px inset rgba(0, 0, 0, 0.4901960784);
}

.frame {
    position: relative;
    width: 303px;
    height: 265px;
    margin: 0 auto;
	margin-top:100px;
    border-radius: 2px;
    box-shadow: 4px 8px 16px 0 rgba(0, 0, 0, 0.1);
    overflow: hidden;
    background: transparent;
    color: #333;
    font-family: "Open Sans", Helvetica, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}



.error-popup {
  position: relative;
  overflow: hidden;
  background: #fff;
  width: 300px;
  padding: 10px 10px 58px 10px;
  box-shadow: 0px 5px 20px 4px rgba(0, 0, 0, 0.2901960784);
}
.error-popup .ico-box {
  text-align: center;
  padding: 21px 0px;
}
.error-popup .ico-box svg {
  height: 38px;
}
.error-popup .text-message {
  text-align: center;
  max-width: 200px;
  margin: 0 auto;
}
.error-popup .text-message h4 {
  font-size: 16px;
  color: #5d5d5d;
  margin-bottom: 10px;
}
.error-popup .text-message p {
  font-size: 14px;
  color: #595959;
  line-height: 20px;
}
.error-popup .dismiss-btn {
  background: #e74c3c;
  position: absolute;
  width: 100%;
  bottom: 0px;
  left: 0px;
  line-height: 38px;
  border: none;
  outline: none;
  box-shadow: none;
  font-size: 16px;
  color: #fff;
  cursor: pointer;
}
.error-popup .dismiss-btn:hover {
  background: #e53f2e;
}
#box_error{display:none;}
.B_functions {
	font-family: Times New Roman;
	font-style: italic;
	color: #FFFFFF;
	font-size: 16px;
	border-radius: 5px;
	border: 1px #3866a3 solid;
	padding: 10px 18px;
	background-color: #2b414f;
	text-shadow: 1px 1px 1px #528ecc;
	box-shadow: inset 1px 1px 2px 0px #bbdaf7;
	cursor: pointer;
	display: inline-flex;
	align-items: center;
}
.B_functions:hover {
	background-color: #000000;
}

.buttons button:active {
	color:#000;
	border:1px solid #333;
	-moz-box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	-webkit-box-shadow:inset 0 1px 1px #000, 0px 1px #E6E6E6;
	box-shadow:inset 0 1px 1px #000, 0px 1px #E6E6E6;
}
.func {
	height: 35px;
    padding: 0;
    width: 46px;
    font-size: 12px;
    border-radius: 6px;
    margin-bottom: 4px;
    border: 1px solid #000;
    border-radius: 6px;
    color: #000000;
    font: 16px "Trebuchet MS", Times Roman, Helvetica, sans-serif;
    line-height: normal;
    line-height: 35px;
    -moz-box-shadow: inset 0 0 10px #666, inset 0px 1px #BCD6FF, 0 1px 1px #323643;
    -webkit-box-shadow: inset 0 0 10px #666, inset 0px 1px #bcd6ff, 0 1px 1px #323643;
    box-shadow: inset 0 0 10px #000, inset 0px 1px #bcd6ff, 0 1px 1px #000;
    background: #d1d19d;
}

#b_calc{width:43px; font-size:12px;
border-radius:6px;

height:35px;
	padding:0;
	margin-bottom:4px;
	background-color: #036;
	border:1px solid #036;
	-moz-box-shadow:inset 0 0 10px #069,
	inset 0px 1px #BCD6FF, 0 1px 1px #323643;
	-webkit-box-shadow:inset 0 0 10px #069,
	inset 0px 1px #BCD6FF, 0 1px 1px #323643;
	box-shadow:inset 0 0 10px #069,
	inset 0px 1px #BCD6FF, 0 1px 1px #323643;
	color:#CCC;
	font:16px "Trebuchet MS", Times Roman, Helvetica, sans-serif;
	line-height: 35px;
	margin-right: 5px;
	width:79%;
}
#b_calc:active{
	border:1px solid #039;
	color:#FFF;
	-moz-box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	-webkit-box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
}
.bloques{width:100%; padding-bottom: 10px;}





.button-group {
  position: relative;
  z-index: 2;
  display: flex;
  width: 100%;
  height: 40px;
  background-color: #000;

  padding: 3px;
}
.button-group > div {
  cursor: pointer;
  flex: 1;
  background-color: #ccc;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 1px;
  font-size: 16px;
  box-shadow: inset 0 20px 4px -21px rgba(255,255,255,0.4), 0 19px 13px 0 rgba(0,0,0,0.3);
  color: #181818;
  position: relative;
  z-index: 2;
      user-select: none; /* supported by Chrome and Opera */
   -webkit-user-select: none; /* Safari */
   -khtml-user-select: none; /* Konqueror HTML */
   -moz-user-select: none; /* Firefox */
   -ms-user-select: none; /* Internet Explorer/Edge */
}
.button-group > div:before {
  content: "";
  display: block;
  width: 0.8em;
  height: 0.8em;
  background-image: radial-gradient(circle 30px at center, #ebf7ff 0%, #b3e1ff 47%, #b3e1ff 100%);
  position: absolute;
  filter: blur(15px);
  top: 50%;
  left: 50%;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
}
.button-group > div:after {
  content: "";
  display: block;
  height: 70px;
  width: 1px;
  position: absolute;
  border-radius: 50%;
  z-index: -1;
  opacity: 0;
  filter: blur(0px);
  box-shadow: -75px 0 0px 0px rgba(179,225,255,0.3), 74px 0 0px 0px rgba(179,225,255,0.35);
}
.button-group > div svg {
  height: 40px;
  width: 50px;
  position: relative;
  display: block;
  font-size:8px;
  fill: #181818;
  filter: drop-shadow(0 1px 1px rgba(255,255,255,0.15)) url("#inset-shadow");
}
.button-group > div.active {
	background-color: #81f36a;
  
  z-index: 0;
}

.button-group div:first-of-type {
  border-radius: 4px 0 0 4px;
  filter: blur(0px) "important;
}
.button-group div:first-of-type:after {
  box-shadow: -85px 0 18px 1px transparent, 83px 0 12px 1px #b3e1ff;
}
.button-group div:last-of-type {
  border-radius: 0 4px 4px 0;
}
.button-group div:last-of-type:after {
  box-shadow: -85px 0 18px 1px #b3e1ff, 83px 0 12px 1px transparent;
}
.svg-filters {
  height: 0;
  width: 0;
}
.ang{border-color:transparent;
height:31px;
width: 55px;
padding: 0px;
font-size: 12px;
border-radius:0px;}

.arit {
	width: 47px;
	background-color: #000;
	border: 1px solid #000;
	-moz-box-shadow: inset 0 0 10px #069, inset 0px 1px #BCD6FF, 0 1px 1px #323643;
	-webkit-box-shadow: inset 0 0 10px #069, inset 0px 1px #BCD6FF, 0 1px 1px #323643;
	box-shadow: inset 0 0 10px #000, inset 0px 1px #BCD6FF, 0 1px 1px #323643;
	margin: 2px;
	border-radius:7px;
	color:white;
}
.arit:active{
	border:1px solid #039;
	-moz-box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	-webkit-box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	color:white;
}

.op_ {
  width: 47px;
   background-color: #0e062f !important; color: #ffffff !important;
  border: 1px solid #000;
  -moz-box-shadow: inset 0 0 10px #069, inset 0px 1px #BCD6FF, 0 1px 1px #323643;
  -webkit-box-shadow: inset 0 0 10px #069, inset 0px 1px #BCD6FF, 0 1px 1px #323643;
  box-shadow: inset 0 0 10px #000, inset 0px 1px #BCD6FF, 0 1px 1px #323643;
  margin: 2px;
  border-radius: 7px;
}
.op_:active{
	border:1px solid #039;
	-moz-box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	-webkit-box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	box-shadow:inset 0 1px 1px #0A0B0D, 0px 1px #E6E6E6;
	color:white;
}
.k-clear {
  background-color: #d02200;
  border: 1px solid #d02200;
  width: 80px;
  color:white;
  border-radius:7px;
  -moz-box-shadow: inset 0 0 10px #F63, inset 0px 1px #BCD6FF, 0 1px 1px #323643;
  -webkit-box-shadow: inset 0 0 10px #F63, inset 0px 1px #BCD6FF, 0 1px 1px #323643;
  box-shadow: inset 0 0 10px #F63, inset 0px 1px #BCD6FF, 0 1px 1px #323643;
}
#igual{width:210px;}

@media (max-width: 610px) {
  #formu{max-width:420px;}
  #b_calc{width:71%;}
  #igual{width:47px;}
  .k-clear {width:60px;}
}
@media (max-width: 430px) {
  #formu{max-width:322px;}
  #b_calc{width:61%;}
  #nueve{order:1}
  .op_ {width: 60px;}
   #igual{width:85px;}
}
.show_trig {
display:block;
}
._v{     color: #000000;
    background: #959595;
    box-shadow: inset 0 0 10px #000, inset 0px 1px #bcd6ff, 0 1px 1px #fff;}
.trg{background: #87ff6f;}
#sfor{  flex-grow: 0;
   flex-shrink: 0;
   flex-basis: 40%;}
   select option:disabled {
    display:none;
}
#cont_ang{  flex-grow: 0;
   flex-shrink: 0;
   flex-basis: 50px;}
   #lbv{color:rgb(0, 0, 0);}
   #miT sup{    vertical-align: super !important; }
   #mg_1 sup{    vertical-align: super !important;font-size: 75%; }
   #miT{font-size: 22px;
  border: 1px solid #039;
  border-radius: 10px;
  width: 100%;
  overflow-x: auto;
  padding: 10px;}

   #out0{font-size: 20px; line-height:24px;}
#p1_{font-size: 19px;}
#p1_1d{display:none}
#p1_1d1s{font-size: 16px;
    width: 80%;
    margin-right: 10px;
    margin-bottom: 10px;
    -webkit-appearance: menulist;
    border-radius: 0.5em;
    border-color: #92d123;
text-align: center;}
#p1_3d{display:none}
#p1_3d1d{display:none}
#p1_4d{display:none}
#p1_4d1a{display:none}
#p1_4d1s{display:none}
#p2_{font-size: 19px; display:none}
#p2_1s{font-size: 18px; width: 50px; margin-right: 10px;}
#p3_{font-size: 19px}
#p3_1d{font-size: 19px;}
#p3_2d{display:none}
#p3_1a{display:none}
#p3_3d{font-size: 19px;}
#p4_{font-size: 19px}
#p4_1d{font-size: 19px}
#p5_{font-size: 19px}
#p5_1d{font-size: 19px}
#p6_{font-size: 19px; display:none;}
#p6_1d{font-size: 19px}
#p6_2d{font-size: 19px}
#p6_3d{font-size: 18px;}
#evalvar1{height: 30px; line-height: 20px; font-size: 18px; margin-top:5px; float:left; margin-right:2px }
#p6VE1{width: 30px; font-family: Times New Roman; color: black; float: left; border-radius: 3px; text-align: center; font-size: 18px; margin-right: 15px}
.v_cont{float:left;}
#evalvar2{height: 30px; line-height: 20px; font-size: 18px; margin-top:5px; float:left; margin-right:2px }
#p6VE2{width: 30px; font-family: Times New Roman; color: black; float: left; border-radius: 3px; text-align: center; font-size: 18px; margin-right: 15px}
#evalvar3{height: 30px; line-height: 20px; font-size: 18px; margin-top:5px; float:left; margin-right:2px }
#p6VE3{width: 30px; font-family: Times New Roman; color: black; float: left; border-radius: 3px; text-align: center; font-size: 18px; margin-right: 15px}
#p6Vcont4{float:left;}
#evalvar4{height: 30px; line-height: 20px; font-size: 18px; margin-top:5px; float:left; margin-right:2px }
#kB{height: 30px; line-height: 20px; font-size: 18px;}
#p6_4d{font-size: 19px}
#box_omega{display:none}
#mg_2{
	font-size: 17px;
    margin-top: 20px;
}
#mg_1{height: 50px;overflow-y: auto;
}
#box_alfa{width: 100%;
  overflow-x: auto; padding:15px;}
  #bloque3 button { height: 35px; font-size: 20px;}





